Package org.bukkit.event.inventory

# Class FurnaceStartSmeltEvent

java.lang.Object
org.bukkit.event.Event
org.bukkit.event.block.BlockEvent
org.bukkit.event.inventory.FurnaceStartSmeltEvent

public class FurnaceStartSmeltEvent extends BlockEvent

## Nested Class Summary

## Nested classes/interfaces inherited from class org.bukkit.event.Event

`Event.Result`

## Field Summary

### Fields inherited from class org.bukkit.event.block.BlockEvent

`block`

## Constructor Summary

Constructors
Constructor
Description
`FurnaceStartSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull CookingRecipe<?> recipe)`
Deprecated.
`FurnaceStartSmeltEvent(@NotNull Block furnace, @NotNull ItemStack source, @NotNull CookingRecipe<?> recipe, int cookingTime)`

## Method Summary

Modifier and Type
Method
Description
`static @NotNull HandlerList`
`getHandlerList()`
`@NotNull HandlerList`
`getHandlers()`
`@NotNull CookingRecipe<?>`
`getRecipe()`
Gets the FurnaceRecipe associated with this event
`@NotNull ItemStack`
`getSource()`
Gets the source ItemStack for this event
`int`
`getTotalCookTime()`
Gets the total cook time associated with this event
`void`
`setTotalCookTime(int cookTime)`
Sets the total cook time for this event

### Methods inherited from class org.bukkit.event.block.BlockEvent

`getBlock`

### Methods inherited from class org.bukkit.event.Event

`callEvent, getEventName, isAsynchronous`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### FurnaceStartSmeltEvent

@Deprecated public FurnaceStartSmeltEvent(@NotNull @NotNull Block furnace, @NotNull @NotNull ItemStack source, @NotNull @NotNull CookingRecipe<?> recipe)
Deprecated.

### FurnaceStartSmeltEvent

public FurnaceStartSmeltEvent(@NotNull @NotNull Block furnace, @NotNull @NotNull ItemStack source, @NotNull @NotNull CookingRecipe<?> recipe, int cookingTime)

## Method Details

### getSource

@NotNull public @NotNull ItemStack getSource()
Gets the source ItemStack for this event

Returns:
  the source ItemStack

### getRecipe

@NotNull public @NotNull CookingRecipe<?> getRecipe()
Gets the FurnaceRecipe associated with this event

Returns:
  the FurnaceRecipe being cooked

### getTotalCookTime

public int getTotalCookTime()
Gets the total cook time associated with this event

Returns:
  the total cook time

### setTotalCookTime

public void setTotalCookTime(int cookTime)
Sets the total cook time for this event

Parameters:
  `cookTime` - the new total cook time

### getHandlers

@NotNull public @NotNull HandlerList getHandlers()

Specified by:
  `getHandlers` in class `Event`

### getHandlerList

@NotNull public static @NotNull HandlerList getHandlerList()